/*  -----------------------------------------------------------------------
    tish - unixlike shell & tools for the TI-92+ and Voyage 200 calculators
    Copyright (C) 2020 Adam Colley <mog@kupo.be>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
------------------------------------------------------------------------ */

// mkdir command
// this is part of tish

#define USE_TI92PLUS
#define USE_V200
 
#include <tigcclib.h>
  
void _main(void)
{
  ESI argptr = top_estack;
  int args;
  HANDLE h;
 
  args=RemainingArgCnt(argptr);

  if (args!=1)
  {
    printf("Incorrect number of parameters\n");
    return;
  }  

  char *arg = GetStrnArg (argptr);
  top_estack = next_expression_index (top_estack);
 
  h=FolderAdd(SYMSTR(arg));
  if (h==H_NULL)
    printf("Operation failed\n");  
}
